Roundup Tracker - Issues

Issue 2550853

classification
Title: Fix failing postgresql tests
Type: crash Severity: normal
Components: Test Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: rouilj Nosy List: rouilj, smcgraw
Priority: Keywords: patch

Created on 2014-09-20 00:42 by smcgraw, last changed 2016-07-03 01:20 by rouilj.

Files
File name Uploaded Description Edit Remove
20140919-1.patch smcgraw, 2014-09-20 00:42 Patch to fix test testConcurrentReadCommitted
20140919-2.patch smcgraw, 2014-09-20 00:43 Patch to fix test testConcurrentRepeatableRead
Messages
msg5145 Author: [hidden] (smcgraw) Date: 2014-09-20 00:42
Patches to fix failing postgresql tests testConcurrentReadCommitted
and testConcurrentRepeatableRead described in:
  http://sourceforge.net/p/roundup/mailman/message/32828507/
with these patches applied the full (default) test suit runs to
completion successfully for me.

To the maintainer of this tracker: would it be useful to add an
additional component, "tests"?
msg5547 Author: [hidden] (rouilj) Date: 2016-04-30 02:22
I made a new test component and assigned this ticket to it.

Does anybody have postgres set up and can apply these patches to verify
that they fix the tests correctly?

Also issue2086536 has patches to prefer psycopg2 over version 1.
Since version1 isn't supported/shipped anymore (according to the thread
that starts with the email reference in this ticket)

Maybe this patch should be applied with issue2086536 and have them
submitted as a single unit?
msg5723 Author: [hidden] (rouilj) Date: 2016-07-03 01:20
Applied in changeset: 57452bc6d989

The tests didn't fail for me before or after the patch, but
they look rational.

Stuart, what type of system are you running the tests on?
I am wondering if my little laptop just isn't powerful enough
to cause the tests to fail.
History
Date User Action Args
2016-07-03 01:20:09rouiljsetstatus: new -> fixed
assignee: rouilj
resolution: fixed
messages: + msg5723
2016-04-30 02:22:00rouiljsetnosy: + rouilj
messages: + msg5547
2016-04-30 02:13:47rouiljsetcomponents: + Test
2014-09-20 00:43:43smcgrawsetfiles: + 20140919-2.patch
2014-09-20 00:42:21smcgrawcreate